Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.serializer.support
Class SerializingConverter

    java.lang.Object
      org.springframework.core.serializer.support.SerializingConverter

All Implemented Interfaces:
  Converter<java.lang.Object,byte[]>

    public class SerializingConverter

extends java.lang.Object
implements Converter<java.lang.Object,byte[]>

A `Converter` that delegates to a `Serializer` to convert an object to a byte array.

Since:
  3.0.5
Author:
  Gary Russell, Mark Fisher

Constructor Summary
`SerializingConverter()` Create a default SerializingConverter that uses standard Java serialization.
`SerializingConverter(Serializer<java.lang.Object> serializer)` Create a SerializingConverter that delegates to the provided `Serializer`

Method Summary
`byte[]` | `convert(java.lang.Object source)` Serializes the source object and returns the byte array result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializingConverter

    public SerializingConverter()

  Create a default SerializingConverter that uses standard Java serialization.

### SerializingConverter

    public SerializingConverter(Serializer<java.lang.Object> serializer)

  Create a SerializingConverter that delegates to the provided `Serializer`

Method Detail

### convert

    public byte[] convert(java.lang.Object source)

  Serializes the source object and returns the byte array result.

  Specified by:
    `convert` in interface `Converter<java.lang.Object,byte[]>`
  Parameters:
    `source` - the source object to convert, which must be an instance of S
  Returns:
    the converted object, which must be an instance of T

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD